
import 'package:equatable/equatable.dart';
import 'package:proxibuy/domain/entities/category_entity.dart';

class NotificationPreferencesState extends Equatable {
  final List<CategoryEntity> categories;
  final Set<int> selectedCategoryIds;

  const NotificationPreferencesState({
    this.categories = const [],
    this.selectedCategoryIds = const {},
  });

  NotificationPreferencesState copyWith({
    List<CategoryEntity>? categories,
    Set<int>? selectedCategoryIds,
  }) {
    return NotificationPreferencesState(
      categories: categories ?? this.categories,
      selectedCategoryIds: selectedCategoryIds ?? this.selectedCategoryIds,
    );
  }


  @override
  List<Object> get props => [categories, selectedCategoryIds];
}